コンテンツへスキップ

EVF-SAM2 Segmentation

統合

モデルID evf-sam
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/evf-sam?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.005 5 APIクレジット · ≈ ₽0.53 このページで実行

APIキーを取得
Open model 画像編集 #segmentation#mask

正負のプロンプトからマスクを返す、テキスト誘導型の画像セグメンテーション

Open model · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

セグメンテーションに使用するプロンプト。

プロンプトの結果から差し引いてセグメンテーションから除外する領域。

•必須 image_url
ファイルをドロップ、または

入力画像のURL。

詳細設定 blur_mask · expand_mask · semantic_type · mask_only · use_grounding_dino · revert_mask · fill_holes
デフォルト 0

マスクのガウシアンぼかしカーネルサイズ。奇数である必要があります。

デフォルト 0

指定したピクセル数だけマスクを外側に膨張させます。

POST /run/evf-sam?wait=20 見積もり → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/evf-sam?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

EVF-SAM2 Segmentationについて

`prompt`で指定した画像領域をセグメント化し、`negative_prompt`で除外領域を指定します。`semantic_type`、`use_grounding_dino`、`revert_mask`、`fill_holes`、`blur_mask`(0~50)、`expand_mask`(0~20)に対応しています。`mask_only`のデフォルトはtrueで、マスク済み画像ではなくバイナリマスクを返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
セグメンテーションに使用するプロンプト。
negative_prompt任意
型string | null
プロンプトの結果から差し引いてセグメンテーションから除外する領域。
semantic_type任意
型boolean
デフォルトfalse
身体部位、背景、複数のオブジェクトのセマンティックセグメンテーションを有効にします。
image_url必須 image
型url · image
入力画像のURL。
mask_only任意
型boolean
デフォルトtrue
マスク済み画像ではなく、バイナリマスクのみを返します。
use_grounding_dino任意
型boolean
デフォルトfalse
セグメンテーションにSAMではなくGroundingDINOを使用します。
revert_mask任意
型boolean
デフォルトfalse
マスクを反転し、前景と背景を入れ替えます。
blur_mask任意
型integer
デフォルト0
0 – 50
マスクのガウシアンぼかしカーネルサイズ。奇数である必要があります。
expand_mask任意
型integer
デフォルト0
0 – 20
指定したピクセル数だけマスクを外側に膨張させます。
fill_holes任意
型boolean
デフォルトfalse
モルフォロジー処理を使用してマスクの穴を埋めます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "evf-sam",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size}セグメンテーションで生成された画像。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/evf-sam.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt